'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.extractSounds = undefined;

var _swfTags = require('./swf-tags');

var _tagReaders = require('./tag-readers');

var extractSounds = function extractSounds(rawTags) {
  return rawTags.filter(function (t) {
    return t.code === _swfTags.SwfTags.DefineSound;
  }).map(function (rawTag) {
    return new Promise(function (resolve) {
      var data = _tagReaders.tagReaders[_swfTags.SwfTags.DefineSound](rawTag.rawData);
      if (data.soundFormat !== 2) {
        return resolve(null);
      }

      resolve({
        type: 'mp3',
        soundId: data.soundId,
        /*
           not sure what these 2 skipped bytes are for, but ffdec seems to always
           ignore them for MP3 format
         */
        mp3Data: data.soundData.slice(2)
      });
    });
  });
};

exports.extractSounds = extractSounds;